using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks; 
using XYY.Core.Standard.Mvc;
using XYY.Service.Standard.Order;
using XYY.Service.Standard.Order.OrderReturn;
using XYY.Service.Standard.Order.OrderReturn.Dto;

namespace XYY.Api.Order.Controllers.Return
{

    [Route("api/[controller]/[action]")]
    [ApiController]
    public class PostManyCNReturnController : ControllerBase
    {
        IOrderReturnService _returnSerivce;

        public PostManyCNReturnController(IOrderReturnService returnSerivce)
        {
            _returnSerivce = returnSerivce;
        }

        public async Task<ApiJsonModel<CNOrderReturnResult>> Post( CNOrderReturnOption model)
        {
            var result = await _returnSerivce.PostReturn(model);
            return ApiJsonModel<CNOrderReturnResult>.OK(result);
        }
    }
}
